libetonyek::IWORKMediaContent Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKMediaContent ()

## Public Attributes
IWORKImageType | m_type
boost::optional< IWORKSize > | m_size
IWORKDataPtr_t | m_data
boost::optional< IWORKColor > | m_fillColor

## Constructor & Destructor Documentation

## ◆ IWORKMediaContent()

libetonyek::IWORKMediaContent::IWORKMediaContent | ( |  | ) |

## Member Data Documentation

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKMediaContent::m_data

Referenced by IWORKMediaContent(), and libetonyek::IWAParser::readFill().

## ◆ m_fillColor

boost::optional<IWORKColor> libetonyek::IWORKMediaContent::m_fillColor

Referenced by IWORKMediaContent(), and libetonyek::IWAParser::readFill().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKMediaContent::m_size

Referenced by IWORKMediaContent(), and libetonyek::IWAParser::readFill().

## ◆ m_type

IWORKImageType libetonyek::IWORKMediaContent::m_type

Referenced by IWORKMediaContent(), and libetonyek::IWAParser::readFill().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp